From: Arnaud Giersch <arnaud.giersch@iut-bm.univ-fcomte.fr>
Date: Fri, 3 Jun 2011 10:09:42 +0000 (+0200)
Subject: Don't be so picky about new algorithm name.
X-Git-Tag: v0.1~55
X-Git-Url: https://bilbo.iut-bm.univ-fcomte.fr/and/gitweb/loba.git/commitdiff_plain/bce2d1712db2962582aec9f56e78ec4c496cef67

Don't be so picky about new algorithm name.
---

diff --git a/new_loba.sh b/new_loba.sh
index 40b6ea1..ba076fb 100755
--- a/new_loba.sh
+++ b/new_loba.sh
@@ -25,7 +25,7 @@ EOF
 fi
 
 name=$(echo $1 | tr A-Z a-z)
-if ! echo "$name" | grep -q '^[a-z][a-z0-9_]*$' \
+if ! echo "$name" | grep -q '^[a-z0-9_]\+$' \
     || ! [ $(echo "$name" | wc -l) = 1 ]; then
     echo "ERROR: invalid name -- \"$name\"" >&2
     exit 1